//called when there is supposed to be an event

//opening scene MOVED

//first encounter with aliens
if(argument0 >= 608 && argument1 >= 128 && global.second && global.room == 1) {
    show_message("Strange Black Sphere: AAAGH! THE LIGHT!! KILL THE LIGHT!!");
    global.second = false;
}

//player meets shadow monster
if(argument0 >= 608 && argument1 >= 128 && global.third && global.room == 1) {
    show_message("Shadow Monster: Thank you for freeing me, creature. Take the power of shadows and use it to escape this place.");
    obj_Player.shadowTeleport = true;
    show_message("You have gained the Shadowstrike power. Hold your cursor over a creature and press F to teleport into its shadow. You can also teleport anywhere in a dark area.");
    with(instance_position(672, 160, obj_shadowMonster)) instance_destroy();
    global.third = false;
}

//player sees wolf fighting snakes
if(argument0 >= 1120 && global.third2 && global.room == 1) {
    show_message("There are cries of bloodshed in the next room over. You should probably run.");
    global.third2 = false;
}

//player has to choose a power
//lightning
if(place_meeting(obj_Player.x, obj_Player.y, obj_pedLightning) || (argument0 >= 160 && argument0 <= 192 && argument1 >= 928 && argument1 <=960) && global.forth && global.room == 2) {
    show_message("An orb of lightning crackles before you. Touch it to gain a ranged lightning attack that powers batteries and damages and briefly stuns enemies. Note: you can only choose one power.");
    q = show_question("Touch the orb?");
    if(q) {
        show_message("You have chosen the power of lightning. Press E to fire a linear bolt of lightning that damages and stuns enemies and activates and deactivates batteries.");
        show_message("The unchosen elements have been released...");
        global.forth = false;
        obj_Player.shockBolt = true;
        obj_stormController.canStorm = true;
        sc_lightningIcePuzzle();
        global.fifth = true;
        obj_Player.x = 256;
        obj_Player.y = 960;
    }
    else {
        obj_Player.x = 256;
        obj_Player.y = 960;
    }
}
//air
if(place_meeting(obj_Player.x, obj_Player.y, obj_pedAir) || (argument0 >= 768 && argument0 <= 800 && argument1 >= 512 && argument1 <=544) && global.forth && global.room == 2) {
show_message("An orb of air swirls before you. Touch it to gain a ranged air attack that pushes enemies and objects, as well as breaks down weak doors. Note: you can only choose one power.");
    q = show_question("Touch the orb?");
    if(q) {
        show_message("You have chosen the power of air. Press E to fire a linear blast of air that will push enemies and break most doors.");
        show_message("The unchosen elements have been released...");
        global.forth = false;
        obj_Player.airBlast = true;
        for(i = 0; i<20; i++) {
            position = sc_lightningStrike(global.room);
            instance_create(position[0], position[1], obj_lightningStrike);
            obj_Player.x = 800;
            obj_Player.y = 640;
        }
        sc_airIcePuzzle();
        global.fifth = true;
    }
    else {
        obj_Player.x = 800;
        obj_Player.y = 640;
    }
}
//ice
if(place_meeting(obj_Player.x, obj_Player.y, obj_pedIce) || (argument0 >= 1376 && argument0 <= 1408 && argument1 >= 928 && argument1 <=960) && global.forth && global.room == 2) {
show_message("An orb of ice hovers before you. Touch it to gain the power to create solid walls of ice, and to create bridges of ice over impassable gaps. Note: you can only choose one power.");
    q = show_question("Touch the orb?");
    if(q) {
        show_message("You have chosen the power of ice. Hold your cursor over a target square and press E to make an ice wall, or an ice bridge over a gap.");
        show_message("The unchosen elements have been released...");
        global.forth = false;
        obj_Player.ice = true;
        obj_stormController.canStorm = true;
        for(i = 0; i<20; i++) {
            position = sc_lightningStrike(global.room);
            instance_create(position[0], position[1], obj_lightningStrike);
        }
        instance_create(1248, 928, obj_deepPit);
        instance_create(1248, 960, obj_deepPit);
        instance_create(768, 672, obj_deepPit);
        instance_create(800, 672, obj_deepPit);
        instance_create(320, 928, obj_deepPit);
        instance_create(320, 960, obj_deepPit);
        instance_create(768, 1216, obj_deepPit);
        instance_create(800, 1216, obj_deepPit);
        global.fifth = true;
        obj_Player.x = 1280;
        obj_Player.y = 960;
    }
    else {
        obj_Player.x = 1280;
        obj_Player.y = 960;
    }
}

//after pedestal is chosen
if(global.fifth && global.room == 2) {
    obj_pedIce.sprite_index = spr_pedestal;
    obj_pedLightning.sprite_index = spr_pedestal;
    obj_pedAir.sprite_index = spr_pedestal;
    instance_create(832, 1440, obj_SnakeGuard);
    instance_create(768, 1440, obj_SnakeGuard);
    instance_create(992, 1408, obj_SnakeGuard);
    instance_create(992, 1472, obj_SnakeGuard);
    with instance_nearest(864, 1440, all) instance_destroy();
    with instance_nearest(864, 1408, all) instance_destroy();
    global.fifth = false;
}

//tells the player to find a distraction
if(global.sixth && global.room == 3 && global.snakeDistraction >= 1) {
    global.sixth = false;
    show_message("Oh look, a graphic chronicle of sultry characters! Perhaps those guards would be interested in this.");
    show_message("You got the porno mag. Hold your cursor over a target square and use the corresponding inventory button to throw it.");
}
if(global.room == 4 && global.seventh) {
    show_message("The Beast is defeated! There is a light, it may lead out of this cursed place...");
    room_goto_next();
}
